function [cntArr30x100] = makeCntArr30x100(corArr12, startClick0, endClick0)
    
    % Tar inn corArr12 for å få clock0 tider
    
    % Generer geno
    % generer paraArr for sample 30 fps
    
    %
    
    
    
    corArr30x100 = genGeno12x100(corArr12, startClick0, endClick0);
    cntArr30x100 = addPara(corArr30x100, startClick0, endClick0);
end

%%
function [cntArr30x100] = addPara(paraArr12x100, startClick0, endClick0)
    
    fs = 44100;
    frameRate = fs/30;
    
    cntArr30x100 = zeros(cntArr30x100, 2);
    
    paraArr12 = corArr12(:, 4:11);
    clickArr12 = corArr12(:, 1);
    
    fs = 44100;
    paraIndexTeller = 1;
    
    A = 0;
    B = 0;
    D = 0;
    T = 1;
    
    % Kanal 1
    for i = 1 : length(cntArr30x100)
        if paraIndexTeller <= size(paraArr12x100, 1)
            if i > fs*clickArr12(paraIndexTeller)/1000 % legger inn ny keyframe
                A = paraArr12(paraIndexTeller, 1);
                B = paraArr12(paraIndexTeller, 2);
                D = paraArr12(paraIndexTeller, 3);
                T = paraArr12(paraIndexTeller, 4);
                
                paraIndexTeller = paraIndexTeller + 1;
            end
        end
        
        cntArr30x100(i, 1) = A*cos(2*pi*(i - D)/T) + B;
    end
    
    paraIndexTeller = 1;
    
    A = 0;
    B = 0;
    D = 0;
    T = 1;
    
    % Kanal 2
    for i = 1 : length(cntArr44)
        if paraIndexTeller <= length(paraArr12)
            if i > fs*clickArr12(paraIndexTeller)/1000 % legger inn ny keyframe
                A = paraArr12(paraIndexTeller, 1 + 4);
                B = paraArr12(paraIndexTeller, 2 + 4);
                D = paraArr12(paraIndexTeller, 3 + 4);
                T = paraArr12(paraIndexTeller, 4 + 4);
                
                paraIndexTeller = paraIndexTeller + 1;
            end
        end
        
        cntArr44(i, 2) = A*cos(2*pi*(i - D)/T) + B;
    end
end

%%
function [corArr30x100] = genGeno12x100(corArr12, startClick0, endClick0)
    % 2 kanaler med (0)1-9, 100 indiv
    % random gen
    % prob 0.1 for keyframe på en click12
    % prob 0.3 for keyframe på en click0
    % 3 (click12) min avstand mellom keyframes
    
    prob0 = 1 - 0.5;
    prob12 = 1 - 0.1;
    
    antKey12frames = 12 * (endClick0 - startClick0 + 1);
    
    genGeno12x100 = zeros(antKey12frames, 1+2+2*4, 1);
    
    old = 0;
    oldOld = 0;
    for indiv = 1 : 1
        for ch = 1 : 2
            for key = 1 : antKey12frames
                if old == 0 && oldOld == 0 % 3 (click12) min avstand mellom keyframes
                    if mod(key-1, 12) == 0 % er click0 frame
                        if rand(1) > prob0
                            genGeno12x100(key, ch+1, indiv) = floor(rand(1)*9 + 1);
                        end
                    else % er click12 frame
                        if rand(1) > prob12
                            genGeno12x100(key, ch+1, indiv) = floor(rand(1)*9 + 1);
                        end
                    end
                end
                oldOld = old;
                old = genGeno12x100(key, ch+1, indiv);
            end
        end
    end
    
    % click12offsett
    click12offsett =  12 * (startClick0 - 1) + 1;
    
    genGeno12x100(1:end, 1, 1) = corArr12(click12offsett : click12offsett + antKey12frames - 1, 1);
    
end










